package com.lightinit.hsdataplatformresdir.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class ContractEditModel {

    private Long id ;

    private String contractNumber ;

    private String contractName ;

    private String partnerName ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date effectiveTime ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date expiredTime ;

    private BigDecimal contractAmount ;

    private String contact ;

    private String contactInfo ;

    private String attachment ;

    private List<ContractResourceAddModel> contractAddResourceModelList ;

    private List<Long> deleteResourceList ;

    public List<ContractResourceAddModel> getContractAddResourceModelList() {
        return contractAddResourceModelList;
    }

    public void setContractAddResourceModelList(List<ContractResourceAddModel> contractAddResourceModelList) {
        this.contractAddResourceModelList = contractAddResourceModelList;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }

    public Date getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(Date effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    public BigDecimal getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(BigDecimal contractAmount) {
        this.contractAmount = contractAmount;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getContactInfo() {
        return contactInfo;
    }

    public void setContactInfo(String contactInfo) {
        this.contactInfo = contactInfo;
    }

    public List<Long> getDeleteResourceList() {
        return deleteResourceList;
    }

    public void setDeleteResourceList(List<Long> deleteResourceList) {
        this.deleteResourceList = deleteResourceList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAttachment() {
        return attachment;
    }

    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }
}
